.marquee {
  overflow: hidden;
  height: 2.2em;
  line-height: 2.2em;
  position: relative;
  width: 100%;
}

.marquee-inner {
  position: absolute;
  width: 100%;
  animation: scroll 15s cubic-bezier(0.25, 0.1, 0.25, 1) infinite;
}

.marquee-inner span {
  display: block;
  height: 2.2em;
  line-height: 2.2em;
  color: #eaeaea;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

@keyframes scroll {
  0%, 20%   { transform: translateY(0); }
  25%, 45%  { transform: translateY(-2.2em); }
  50%, 70%  { transform: translateY(-4.4em); }
  75%, 95%  { transform: translateY(-6.6em); }
  100%      { transform: translateY(-8.8em); }
}